These patches have been reasonably tested (and cross-tested) on Solaris 9 (SPARC) and MacOS 10.4 (both G4 and Intel) with the native GSSAPI libraries. They implement the gss-np and (incompletely) the gss authentication methods. Unlike the current krb5 method gssapi has native support in Java and (with the SSPI) on Windows.

I still have bugs in the security layer for the gss method. Hopefully will finish getting them ironed out today or tomorrow.

Documentation is in the README.GSSAPI file. Make sure you get it created when you apply the patches.

Attachment: gss.patches.gz
Description: GNU Zip compressed data

The opinions expressed in this message are mine,
not those of Caltech, JPL, NASA, or the US Government.

---------------------------(end of broadcast)---------------------------
TIP 7: You can help support the PostgreSQL project by donating at


Reply via email to